---
#################
# Informations:
# https://docs.aws.amazon.com/bedrock/latest/userguide/models.html
# https://docs.aws.amazon.com/bedrock/latest/userguide/bedrock-mantle.html
#
# Test with https://github.com/aws-samples/bedrock-access-gateway
# * follow README inside repo from above
# * make sure credit card billing is active in AWS, wait for half hour
# * to to text playground in AWS and look for your model, start with basic prompt.
# * https://eu-central-1.console.aws.amazon.com/bedrock/home?region=eu-central-1#/text-generation-playground
# * if it fails with permissions needed for marketplace, wait a couple of minutes, you should receive a mail from AWS
#   regarding model subscription
# change the model if needed for opus or haiku
#

#################
spring:
  ai:
    chat:
      client:
        enabled: true

    model:
      chat: openai

    openai:
      # base-url: https://fk6yk4mni8.execute-api.eu-central-1.amazonaws.com/api
      base-url: https://some-hash-please-update.execute-api.eu-central-1.amazonaws.com/api
      api-key: ${EXPLORE_AI_APIKEY}
      chat:
        options:
          model: eu.anthropic.claude-sonnet-4-6
          # model: eu.anthropic.claude-haiku-4-5-20251001-v1:0
          # model: eu.anthropic.claude-opus-4-6-v1
          ## gpt-5 models do not accept the spring-ai internal default of 0.6
          reasoning-effort: "low"
          temperature: 1
          ## Response override: if a non-openai structured output model is configured
          ## (for example via openrouter) make sure, the response format is set to TEXT
          response-format.type: "TEXT"
          max-tokens: 10000


    tools:
      observations:
        include-content: true
